Bug 134358 - s-c-sc doesn't take care about "real" sound card index
s-c-sc doesn't take care about "real" sound card index
Product: Fedora
Classification: Fedora
Component: system-config-soundcard (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Martin Stransky
Depends On:
  Show dependency treegraph
Reported: 2004-10-01 13:10 EDT by Féliciano Matias
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-06-30 09:35:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Féliciano Matias 2004-10-01 13:10:13 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3)

Description of problem:
system-config-soundcard suppose that sound card are ordered in the
same order than kudzu, suppose numbering start at 0 and are continuous
(0, 1, 2... but not 0, 2).

I don't carefully check if it's an inappropriate use of kudzu, or a
missing feature.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
In my system.
Order Kudzu detection card :
1 - via82xx
2 - ens1371

my modprobe.conf :
1 - ens1371
2 - via82xx

Launch s-c-sc and check the order of the card.

Actual Results:
1 - via82xx
2 - ens1371

Expected Results:
1 - ens1371
2 - via82xx

Additional info:

So, s-c-sc does not support none continuous card index (0, 2 for
exemple) and if the first (and only) sound card have an index
differente than 0.

"As expected", asound.conf got bad values and "play test sound" is
broken or use the wrong sound card.
Comment 1 Bastien Nocera 2004-10-03 07:42:15 EDT
We don't support changing the order of the cards in modprobe.conf as
compared to kudzu. They're supposed to match (as kudzu will write the

If you can find a case where kudzu will leave "holes" in the indexing,
and are able to reproduce it without modifying the modprobe.conf by
hand, please re-open.
Comment 2 Féliciano Matias 2004-10-03 09:17:49 EDT
I need to change the order set by kudzu because OSS program ignore

FC3 chose to provide OSS emulation (it's a kernel option that _Fedora_
enabled, Gnome support OSS, _Fedora_ provide sox (play program),
ogg123 use OSS interface by default, ...) , then FC3 should provide
support for OSS program.

Anyway, if the cards are swapped in the system or if the first card is
removed from the system,  s-c-sc still broken (kudzu don't update
modprobe.conf to enforce continuous index that start at 0).

If you want a continuous index that start at 0, this imply :
- no hardcoded index in /etc/modprobe.conf (or modprobe.conf properly
- drivers always loaded in the same order
- no hotplug

Feel free to open a bug to kudzu because it don't guaranty a
continuous card index _only_ for s-c-sc. S-c-sc is the only programme
in FC that rely on this "feature". Other programs that deal with
multi-card work perfectly without this.
Try this :
$ modprobe snd-dummy index=5  # dummy or any other driver
$ gnome-volume-control

Bug re-open. If you don't understand the issue, at least I hope you
will set it to RFE.
If you chose to close the bug, then that means I should open a bug for :
- kernel provide useless OSS support
- play (from sox) use OSS
- ogg123 use OSS by default
- aumix use OSS
- ...
Comment 3 Martin Stransky 2006-05-09 09:24:14 EDT
yes, this bug is still here...

Note You need to log in before you can comment on or make changes to this bug.